com.orsoncharts.legend

## Class StandardLegendItemInfo

- java.lang.Object
- - com.orsoncharts.legend.StandardLegendItemInfo

- All Implemented Interfaces:
    LegendItemInfo

      public class StandardLegendItemInfo
      extends java.lang.Object
      implements LegendItemInfo

  A standard implementation of the `LegendItemInfo` interface.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandardLegendItemInfo(java.lang.Comparable<?> seriesKey, java.lang.String label, java.awt.Color color)` Creates a new instance.
    `StandardLegendItemInfo(java.lang.Comparable<?> seriesKey, java.lang.String label, java.lang.String description, java.awt.Color color, java.awt.Shape shape)` Creates a new instance with the specified attributes.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.Color` | `getColor()` Returns the color for the legend item.
    `java.lang.String` | `getDescription()` Returns the description for the legend item.
    `java.lang.String` | `getLabel()` Returns the label for the legend item.
    `java.util.Map<java.lang.Comparable<?>,java.lang.Object>` | `getProperties()` Returns the properties for the legend item.
    `java.lang.Comparable<?>` | `getSeriesKey()` Returns the series key.
    `java.awt.Shape` | `getShape()` Returns the shape for the legend item.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StandardLegendItemInfo

          public StandardLegendItemInfo(java.lang.Comparable<?> seriesKey,
                                        java.lang.String label,
                                        java.awt.Color color)

      Creates a new instance.
      Parameters:
        `seriesKey` - the series key (`null` not permitted).
        `label` - the label (`null` not permitted).
        `color` - the color (`null` not permitted).

    - #### StandardLegendItemInfo

          public StandardLegendItemInfo(java.lang.Comparable<?> seriesKey,
                                        java.lang.String label,
                                        java.lang.String description,
                                        java.awt.Color color,
                                        java.awt.Shape shape)

      Creates a new instance with the specified attributes.
      Parameters:
        `seriesKey` - the series key (`null` not permitted).
        `label` - the label (`null` not permitted).
        `description` - the description (`null` permitted).
        `color` - the color (`null` not permitted).
        `shape` - the shape (`null` permitted).

  - ### Method Detail

    - #### getSeriesKey

          public java.lang.Comparable<?> getSeriesKey()

      Returns the series key.
      Specified by:
        `getSeriesKey` in interface `LegendItemInfo`
      Returns:
        The series key (never `null`).

    - #### getLabel

          public java.lang.String getLabel()

      Returns the label for the legend item.
      Specified by:
        `getLabel` in interface `LegendItemInfo`
      Returns:
        The label (never `null`).

    - #### getDescription

          public java.lang.String getDescription()

      Returns the description for the legend item.
      Specified by:
        `getDescription` in interface `LegendItemInfo`
      Returns:
        The description (possibly `null`).

    - #### getShape

          public java.awt.Shape getShape()

      Returns the shape for the legend item.
      Specified by:
        `getShape` in interface `LegendItemInfo`
      Returns:
        The shape (possibly `null`).

    - #### getColor

          public java.awt.Color getColor()

      Returns the color for the legend item.
      Specified by:
        `getColor` in interface `LegendItemInfo`
      Returns:
        The color (never `null`).

    - #### getProperties

          public java.util.Map<java.lang.Comparable<?>,java.lang.Object> getProperties()

      Returns the properties for the legend item.
      Specified by:
        `getProperties` in interface `LegendItemInfo`
      Returns:
        The properties for the legend item.